ApplicationConfigurationControllerGetEffectiveSettingValuesForScope Method |
POST /ApplicationConfiguration/GetEffectiveSettingValuesForScope/
Gets the effective application configuration setting values for the specified scope.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetEffectiveSettingValuesForScope")]
public IActionResult GetEffectiveSettingValuesForScope(
[FromBodyAttribute] ConfigValueOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetEffectiveSettingValuesForScope")>
Public Function GetEffectiveSettingValuesForScope (
<FromBodyAttribute> options As ConfigValueOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetEffectiveSettingValuesForScope")]
IActionResult^ GetEffectiveSettingValuesForScope(
[FromBodyAttribute] ConfigValueOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetEffectiveSettingValuesForScope")>]
member GetEffectiveSettingValuesForScope :
[<FromBodyAttribute>] options : ConfigValueOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsConfigValueOptions
An object that carries all needed information about the setting values that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultAn array of
AppSettingValueData objects, or a status code indicating the problem.
See Also